polybori::groebner::LexOrderGreaterComparer Class Reference

This class defines LexOrderGreaterComparer. More...

`#include <LexOrderGreaterComparer.h>`

## Public Member Functions

bool | operator() (const Monomial &m1, const Monomial &m2)
bool | operator() (const Exponent &m1, const Exponent &m2)

## Detailed Description

This class defines LexOrderGreaterComparer.

## Member Function Documentation

bool polybori::groebner::LexOrderGreaterComparer::operator() | ( | const Monomial & | m1,
|  | const Monomial & | m2
| ) |  |

inline

References polybori::LexOrder::compare().

bool polybori::groebner::LexOrderGreaterComparer::operator() | ( | const Exponent & | m1,
|  | const Exponent & | m2
| ) |  |

inline

References polybori::LexOrder::compare().

The documentation for this class was generated from the following file:

- LexOrderGreaterComparer.h